[med-svn] [last-align] 01/01: add autopkgtest test-suite

Nadiya Sitdykova rovenskasa-guest at moszumanska.debian.org
Tue Jun 6 06:10:52 UTC 2017


This is an automated email from the git hooks/post-receive script.

rovenskasa-guest pushed a commit to branch master
in repository last-align.

commit 4b823e34a65bde490042bc57f10164ca28d318b3
Author: nadiya <nadiya at debian>
Date:   Tue Jun 6 02:10:39 2017 -0400

    add autopkgtest test-suite
---
 debian/README.test         |  8 ++++++++
 debian/changelog           |  9 +++++++++
 debian/docs                |  2 ++
 debian/tests/control       |  3 +++
 debian/tests/run-unit-test | 25 +++++++++++++++++++++++++
 5 files changed, 47 insertions(+)

diff --git a/debian/README.test b/debian/README.test
new file mode 100644
index 0000000..1a53a45
--- /dev/null
+++ b/debian/README.test
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+________________________________________
+
+This package can be tested by executing
+
+  sh run-unit-test
+
+in order to confirm its integrity.
diff --git a/debian/changelog b/debian/changelog
index 82aeb38..b94a40e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+last-align (830-2) unstable; urgency=low
+
+  * Team upload.
+  
+  [ Nadiya Sitdykova ]
+  * Add autopkgtest test-suite
+
+ -- Nadiya Sitdykova <rovenskasa at gmail.com>  Tue, 06 Jun 2017 01:56:56 -0400
+
 last-align (830-1) unstable; urgency=medium
 
   * New upstream version
diff --git a/debian/docs b/debian/docs
index 30d29de..127c892 100644
--- a/debian/docs
+++ b/debian/docs
@@ -1 +1,3 @@
 doc/*
+debian/tests/run-unit-test
+debian/README.test
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..d2aa55a
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
diff --git a/debian/tests/run-unit-test b/debian/tests/run-unit-test
new file mode 100644
index 0000000..8c7697e
--- /dev/null
+++ b/debian/tests/run-unit-test
@@ -0,0 +1,25 @@
+#!/bin/sh -e
+
+pkg=last-align
+
+if [ "$ADTTMP" = "" ] ; then
+  ADTTMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd $ADTTMP
+
+cp -a /usr/share/doc/${pkg}/examples/*.fa.gz .
+gunzip -r *
+
+# first example from tutorial
+lastdb -cR01 humdb humanMito.fa
+lastal humdb fuguMito.fa > myalns.maf
+
+# multiMito example
+lastdb -c humanMito humanMito.fa
+lastal -e25 -j4 humanMito mouseMito.fa | last-split | maf-sort > hm.maf
+lastal -e25 -j4 humanMito chickenMito.fa | last-split | maf-sort > hc.maf
+lastal -e25 -j4 humanMito fuguMito.fa | last-split | maf-sort > hf.maf
+maf-join hm.maf hc.maf hf.maf > out
+

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/last-align.git



More information about the debian-med-commit mailing list